IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_EQUIPMENTRELEASE')
 CREATE TABLE T_PMTS_EQUIPMENTRELEASE (
		FID                BIGINT             DEFAULT 0   NOT NULL,       
		FBILLNO            NVARCHAR(30)       DEFAULT ' ' NOT NULL,        
		FBILLSTATUS        NVARCHAR(50)       DEFAULT ' ' NOT NULL,        
		FCREATORID         BIGINT             DEFAULT 0   NOT NULL,       
		FMODIFIERID        BIGINT             DEFAULT 0   NOT NULL,        
		FAUDITORID         BIGINT             DEFAULT 0   NOT NULL,     
		FAUDITDATE         DATETIME,        
		FMODIFYTIME        DATETIME,        
		FCREATETIME        DATETIME,      
		FORGID             BIGINT             DEFAULT 0   NOT NULL,       
		FPROJECTID         BIGINT             DEFAULT 0   NOT NULL,      
		FFDEVICEID         BIGINT             DEFAULT 0   NOT NULL,       
		FDEVICETYPEID      BIGINT             DEFAULT 0   NOT NULL,      
		FCABINCONFIGID     BIGINT             DEFAULT 0   NOT NULL,       
		FREMARK            NVARCHAR(255)      DEFAULT ' ' NOT NULL,     
		FBASEDATAFIELD     BIGINT             DEFAULT 0   NOT NULL,       
		FAPMANUFACTURERID  BIGINT             DEFAULT 0   NOT NULL,      
		FAPMODEL           NVARCHAR(50)       DEFAULT ' ' NOT NULL,      
		FAPSEQ             NVARCHAR(50)       DEFAULT ' ' NOT NULL,     
		FOWNERINFOID       BIGINT             DEFAULT 0   NOT NULL,      
		FADDRESS           NVARCHAR(255)      DEFAULT ' ' NOT NULL,      
		FCONAME            NVARCHAR(50)       DEFAULT ' ' NOT NULL,       
		FCOADDRESS         NVARCHAR(255)      DEFAULT ' ' NOT NULL,      
		FWORKPKGNO         NVARCHAR(50)       DEFAULT ' ' NOT NULL,      
		FSTATEMENT         NVARCHAR(255)      DEFAULT ' ' NOT NULL,     
		FAUTHUSERID        BIGINT             DEFAULT 0   NOT NULL,       
		FRELEASETIME       DATETIME,       
		FRELSTATUS         NVARCHAR(50)       DEFAULT ' ' NOT NULL,      
		FWORKOVERVIEW      NVARCHAR(255)      DEFAULT ' ' NOT NULL,       
		FCUSTOMERID        BIGINT             DEFAULT 0   NOT NULL,      
		FVERSION           NVARCHAR(50)       DEFAULT ' ' NOT NULL,       
		FLICENSEGROUPID    BIGINT             DEFAULT 0   NOT NULL        
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_EQURELEASEDETAIL')
 CREATE TABLE T_PMTS_EQURELEASEDETAIL (
		FENTRYID           BIGINT             DEFAULT 0    NOT NULL,        
		FID                BIGINT             DEFAULT 0    NOT NULL,   
		FSEQ               INT                DEFAULT 0    NOT NULL,       
		FENGINESEQ         NVARCHAR(255)      DEFAULT ' '  NOT NULL,      
		FLOCATION          NVARCHAR(50)       DEFAULT ' '  NOT NULL,       
		FEGCREATERID       BIGINT             DEFAULT 0    NOT NULL,       
		FEGCREATEDATE      DATETIME,       
		FEGMODIFIERID      BIGINT             DEFAULT 0    NOT NULL,       
		FEGMODIFYDATE      DATETIME      
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_PARTRELEASE')
 CREATE TABLE T_PMTS_PARTRELEASE (
		FID                BIGINT             DEFAULT 0    NOT NULL,      
		FBILLNO            NVARCHAR(30)       DEFAULT ' '  NOT NULL,       
		FBILLSTATUS        NVARCHAR(50)       DEFAULT ' '  NOT NULL,      
		FCREATORID         BIGINT             DEFAULT 0    NOT NULL,     
		FMODIFIERID        BIGINT             DEFAULT 0    NOT NULL,        
		FAUDITORID         BIGINT             DEFAULT 0    NOT NULL,        
		FAUDITDATE         DATETIME,       
		FMODIFYTIME        DATETIME,       
		FCREATETIME        DATETIME,        
		FORGID             BIGINT             DEFAULT 0    NOT NULL,       
		FPROJECTID         BIGINT             DEFAULT 0    NOT NULL,      
		FCUSTOMERID        BIGINT             DEFAULT 0    NOT NULL,       
		FCONAME            NVARCHAR(50)       DEFAULT ' '  NOT NULL,        
		FCOADDRESS         NVARCHAR(255)      DEFAULT ' '  NOT NULL,     
		FMROORDERID        BIGINT             DEFAULT 0    NOT NULL,        
		FCANCELUSERID      BIGINT             DEFAULT 0    NOT NULL,       
		FAGREEUSERID       BIGINT             DEFAULT 0    NOT NULL,      
		FRELEASETIME       DATETIME,   
		FRELSTATUS         NVARCHAR(50)       DEFAULT ' ' NOT NULL,      
		FAUTHINFO          NVARCHAR(255)      DEFAULT ' ' NOT NULL,      
		FREMARK            NVARCHAR(255)      DEFAULT ' ' NOT NULL,     
		FCANCELTIME        DATETIME,      
		FMROORDERNO        NVARCHAR(50)       DEFAULT ' ' NOT NULL,     
		FLICENSEGROUPID    BIGINT             DEFAULT 0   NOT NULL,       
		FVERSION           NVARCHAR(50)       DEFAULT ' ' NOT NULL      
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_PARTRELEASEDTL')
 CREATE TABLE T_PMTS_PARTRELEASEDTL (
		FENTRYID           BIGINT             DEFAULT 0   NOT NULL,       
		FID                BIGINT             DEFAULT 0   NOT NULL,        
		FSEQ               INT                DEFAULT 0   NOT NULL,       
		FPARENTENTRYID     BIGINT             DEFAULT 0   NOT NULL,        
		FDEFECTDESC        NVARCHAR(500)      DEFAULT ' ' NOT NULL,        
		FMATERIAL          BIGINT             DEFAULT 0   NOT NULL,       
		FUNIT              BIGINT             DEFAULT 0   NOT NULL,        
		FQTY               DECIMAL(23,10)     DEFAULT 0   NOT NULL,      
		FBATCHNO           NVARCHAR(50)       DEFAULT ' ' NOT NULL,       
		FREMARK            NVARCHAR(255)      DEFAULT ' ' NOT NULL        
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_PROJECTOUTSOUR')
 CREATE TABLE T_PMTS_PROJECTOUTSOUR (
		FID                BIGINT             DEFAULT 0   NOT NULL,       
		FBILLNO            NVARCHAR(30)       DEFAULT ' ' NOT NULL,        
		FBILLSTATUS        NVARCHAR(50)       DEFAULT ' ' NOT NULL,        
		FCREATORID         BIGINT             DEFAULT 0   NOT NULL,        
		FMODIFIERID        BIGINT             DEFAULT 0   NOT NULL,       
		FAUDITORID         BIGINT             DEFAULT 0   NOT NULL,     
		FAUDITDATE         DATETIME,     
		FMODIFYTIME        DATETIME,       
		FCREATETIME        DATETIME,       
		FORGID             BIGINT             DEFAULT 0   NOT NULL,      
		FPROJECTID         BIGINT             DEFAULT 0   NOT NULL,      
		FWBSID             BIGINT             DEFAULT 0   NOT NULL,       
		FTASKID            BIGINT             DEFAULT 0   NOT NULL,        
		FPROORGID          BIGINT             DEFAULT 0   NOT NULL,    
		FREMARK            NVARCHAR(255)      DEFAULT ' ' NOT NULL      
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_PROOUTSOURDTL')
 CREATE TABLE T_PMTS_PROOUTSOURDTL (
		FENTRYID          BIGINT              DEFAULT 0   NOT NULL,       
		FID               BIGINT              DEFAULT 0   NOT NULL,       
		FSEQ              INT                 DEFAULT 0   NOT NULL,        
		FMATERIALNO       BIGINT              DEFAULT 0   NOT NULL,        
		FUNITID           BIGINT              DEFAULT 0   NOT NULL,        
		FQTYID            DECIMAL(23,10)      DEFAULT 0   NOT NULL,        
		FPUSHQTY          DECIMAL(23,10)      DEFAULT 0   NOT NULL,        
		FPLANSTARTTIME    DATETIME,        
		FPLANENDTIME      DATETIME,       
		FPREMARK          NVARCHAR(50)        DEFAULT ' ' NOT NULL,       
		FTRACEID          BIGINT              DEFAULT 0   NOT NULL,      
		FSRCTYPE          NVARCHAR(50)        DEFAULT ' ' NOT NULL,       
		FSRCNO            NVARCHAR(50)        DEFAULT ' ' NOT NULL,       
		FSRCID            BIGINT              DEFAULT 0   NOT NULL        
);





